/* 
 * linux/arch/arm/boot/compressed/head-omap.S
 * 
 * Copyright (C) 1999 Nicolas Pitre <nico@cam.org>
 * 
 * OMAP specific tweaks.  This is merged into head.S by the linker.
 *
 */

#include <linux/config.h>
#include <linux/linkage.h>
#include <asm/mach-types.h>

		.section        ".start", "ax"

__OMAP_start:

		@ Preserve r8/r7 i.e. kernel entry values

#if	defined(CONFIG_OMAP_INNOVATOR)
		mov	r7, #MACH_TYPE_INNOVATOR
		mov	r8, #0
#elif	defined(CONFIG_OMAP_PERSEUS)
		mov	r7, #MACH_TYPE_TI925
		mov	r8, #0
#elif	defined(CONFIG_ARCH_OMAP)
		mov	r7, #MACH_TYPE_TI925
		mov	r8, #0
#endif

		@ Data cache might be active.
		@ Be sure to flush kernel binary out of the cache,
		@ whatever state it is, before it is turned off.
		@ This is done by fetching through currently executed
		@ memory to be sure we hit the same cache.
		bic	r2, pc, #0xf
		add	r3, r2, #0x4000		@ 16 kb is quite enough...
1:		ldr	r0, [r2], #16
		teq	r2, r3
		bne	1b
		mcr	p15, 0, r0, c7, c10, 4	@ drain WB
		mcr	p15, 0, r0, c7, c7, 0	@ flush I & D caches

		@ disabling MMU and caches
		mrc	p15, 0, r0, c1, c0, 0	@ read control reg
		bic	r0, r0, #0x0d		@ clear WB, DC, MMU
		bic	r0, r0, #0x1000		@ clear Icache
		mcr	p15, 0, r0, c1, c0, 0
